Nvidia, Nouveau, Őrület ... Nagyon kellene a segítség

Fórum: 

Sziasztok.

Elöljáróban annyit, hogy kb. ezer leírást áttanulmányoztam, mind mást mondott, mindent ki is próbáltam, teljesen konfúz vagyok.

LM 17.1 alatt nagyjából rendben volt a dolog, de 17.2-re frissítés után nem OK.

A gépemben 2 videokártya van, egy built-in (CPU) Intel és egy önálló Nvidia. Optimus technológia?

A hardinfo és az I-nex sem látja jelenleg az Nvidia kártyát.

A konfig: Linux MInt 17.2

Proc: i7 4710HQ (beépített Intel HD Graphics 4600)

VGA: GeForce GTX 850M

Olyan hozzáértő segítségét kérem, aki egyfelől pár szóval elmagyarázná mik ezek: xorg, x-server

Másfelől step-by-step elmondaná, mit és hogyan csináljak, hogy a gép rendesen működjön.

Rendes működés alatt értem:

1./ mind a Nouveau, mind az Nvidia driver fent legyen, és tudjak köztük váltogatni

2./ Ismét legyen Nvidia kezelő-panel (a pontos nevére nem emlékszem, az Administration menüpont alatt volt elérhető. Itt tudtam a PRIME segítségével váltogatni, hogy melyik kártya - Intel vs. GeForce - legyen aktív.)

Jelenleg így néz ki a Driver Managerem: http://i.imgur.com/5R5lhp4.png

Előre is köszönöm a segítséget!

# megkérlek arra, hogy csak a témára vonatkozó problémákat vezesd elő a kérdéseiddel. egyéni problémáid otthon .. hagyd. azt is észrevettem ma, hogy egy aug. 31-i hozzászólásodat utólagosan és eredeti értelmével homlokegyenest ellentétesre átszerkesztetted - gyakorlatilag az egészet átírtad, de aztán törölted ... .
Köszönjük, hogy itt voltál, de ha nem változtasz a stílusodon, akkor menj tovább. üdv, kimarite

Kinyomoztam, a hiányzó

Kinyomoztam, a hiányzó alkalmazás neve: Nvidia X Server Settings.
Ez korábban volt, de most nincs.

Értékelés: 

0
Még nincs értékelve

RE: Nvidia, Nouveau, Őrület ... Nagyon kellene a segítség

 A linux elmegy grafikus felület nélkül is (parancssoros üzemmód), de grafikus felülettel nem tudod úgy használni, hogy ne telepítenéd fel az x-et. Az teszi lehetővé, hogy grafikus alkalmazásokat tudj használni. 

Linkek:

Értékelés: 

0
Még nincs értékelve

Köszi.

Köszi.

Most akkor a lényegesebb rész is kellene: a beüzemelés.

A helyzet jelenleg az, hogy a driverek fennvannak, de valami nem stimmel a Nvidia kártya felismerésével.

Ha lefuttatom az lspci -v parancsot, akkor ez a rész van benne:

01:00.0 3D controller: NVIDIA Corporation GM107M [GeForce GTX 850M] (rev ff) (prog-if ff)
    !!! Unknown header type 7f
 

Valami ötlet?

Értékelés: 

0
Még nincs értékelve
kimarite képe

RE:Köszi.

#3 Az illesztőprogram kezelőből telepítettél zárt drivert, és melyiket vagy hogyan, milyen leírás alapján?

Értékelés: 

5
Átlag: 5 (1 szavazat)

Telepítettem mindenhogy

Telepítettem mindenhogy (purge-al eltávolítottam az nvidia drivereket, majd csináltam manuális telepítést is az nvidia oldaláról letöltött driverral, és csináltam a Software Managerből is.) Úgy gondolom, a driverek a helyükön vannak, nem hiszem, hogy azzal van a gond.

Ez a rész elég világosan le van írva sok helyen, jól kellett, hogy csináljam.

Értékelés: 

0
Még nincs értékelve

Közben sajnos történt egy s

Közben sajnos történt egy s más. Addig görcsöltem, míg teljesen elcsesztem.

A Software Managerben eltávolítottam a mesa-utils-t, gondoltam újratelepítem, hátha ez okozza a bajt (valahol ezt a mesa-t bütykölték sikerrel, onnan jött az ötlet).

Szóval eltávolítás után rögvest újratelepítettem (reméltem, a reinstall felülír valamit, ami aztán gyógyírként szolgál), és reboot.

És jött a ledöbbenés: bejön a Login képernyő szépen egy háttérképpel, beütöm a jelszót, és erre újra a Login jön, nem megy tovább.

Annyit tudok csinálni, hogy Ctrl+Alt+F1-el átváltok a konzolra(?).

És ennyi. Még a netre sem tudok csatlakozni, így nem tudok installálni sem semmit.

Teljes KO.

Van ember a Földön, aki tudja a megoldást?

Értékelés: 

0
Még nincs értékelve

RE:Közben sajnos történt egy s

#6 Kiírja hogy sikertelen hitelesítés ?

Értékelés: 

0
Még nincs értékelve

RE:RE:RE:Közben sajnos történt egy s

#8 Mikor a login képernyőnél beütöd a jelszót...és nem fogadja el - akkor kiírja ezt ?

( Már csak az esetleg megváltozott bill.-kiosztás miatt )

Értékelés: 

0
Még nincs értékelve

RE:RE:RE:RE:Közben sajnos történt egy s

#9 Nem emlékszem ilyesmire. Egy pillanatra átvált fekete képernyőre valami kis szöveggel, és aztán ismét a Login jön be.

Sajnos most nem tudom megnézni, mit ír ki, mert épp biztonsági másolatot csinálok LiveDVD-vel, biztos ami biztos.

Az rémlik, hogy a szövegben van tty1.

Értékelés: 

0
Még nincs értékelve

RE:RE:RE:RE:RE:Közben sajnos történt egy s

#10 Ok. ! a biztonsági másolat fontos !...mint ahogy "Systemback" rendszervisszaállítási pont készítése is.

( Persze egy jól működő rendszeren ! :) )

Értékelés: 

0
Még nincs értékelve
kimarite képe

RE:Közben sajnos történt egy s más

#6 -- Ha konzolon (Alt + Ctrl + F1) van neted:

sudo mv /etc/X11/xorg.conf /etc/X11/xorg.conf.ORIG
dpkg -l | grep nvidia
sudo apt-get purge találat1 találat2 találat3 találatx...
sudo apt-get autoremove

... (lásd a "Megjegyzés"-t)

sudo apt-get install nouveau-firmware xserver-xorg-video-nouveau
sudo dpkg-reconfigure xserver-xorg
sudo update-initramfs -uk all
sudo reboot

-- Ha nincs ott neted, akkor belépsz a Recovery/Hibajavítás menüvel a GRUB-ból (a GRUB a Shift nyomogatásával csalogatható elő, a gép bekapcsolásakor), majd a netes menüt választod. És itt ugyanezek a parancsok, csak a sudo nem kell.

-- Ha így sincs neted, akkor marad egy Live rendszerről való chroot. Amikor is mindenképpen lesz neted, és a lemezre telepített rendszerbe chroot-olsz be a Live-ról ..., mintha abban tevékenykednél.

Leírásomban erre az oldalra támaszkodtam:
http://askubuntu.com/questions/12937/remove-nvidia-driver-and-go-back-to...

Megjegyzés:
- az xserver-xorg-video-nouveau csomag lehet, telepítve lesz. a biztonság kedvéért ekkor telepítsd újra:

sudo apt-get install --reinstall xserver-xorg-video-nouveau

[ ezt általában véve jegyeztem meg, hiszen nálad telepítve van ]

- egy olyan kérés lenne, hogy a linkelt képek helye a továbbiakban a következő tárhelyek valamelyikén legyen: Imgur, Dropbox, Google Drive, Box, Copy, OneDrive, stb. - ahol megmarad.

Értékelés: 

0
Még nincs értékelve

RE:RE:Közben sajnos történt egy s más

#12 Először is köszönöm a kimerítő (kimarite :)) választ!

Időközben magam is kutakodtam, és sikerült az eredeti állapotot visszaállítani ezekkel:

sudo apt-get install nvidia-current

sudo apt-get install cinnamon

Azaz, ha jól értelmezem, az volt a gond, hogy a mesa-utils eltávolítása/installálása eltávolította az nvidia drivereket és magát a Cinnamon-t is. Ehhh ...

Szóval az eredeti állapotot (ismét) sikerült visszaállítanom, de a problémámmal még nem vagyok előrébb kicsit sem.

Néhány képet feltöltök, hátha segít:

1./ lspci eredménye:

http://i.imgur.com/2PO2Na8.png

2./ lspci -v eredménye:

http://i.imgur.com/MM2HJVD.png

3./Így néz ki az NVIDIA X Server Settings, ha váltani akarok az Intel és az Nvidia kártya (amit nem detektál) között:

http://i.imgur.com/opKYAgP.png

Ismét nagyon köszönöm, hogy időt szakítottál rám, remélem sikerül megoldani a problémám.

Értékelés: 

0
Még nincs értékelve
balazs képe

 Hello

 Hello

 

Nálam nem laptop van, de szintén intel+nvidia. Fel kellett vennem a xorg edgers ppa tárolót és abból telepíteni az nvidia drivert, mert ami alapból a rendszerben van nem volt jó, szóval kipróbálhatod ezt is. launchpad.net/~xorg-edgers/+archive/ubuntu/ppa

Értékelés: 

0
Még nincs értékelve
kimarite képe

RE: Hello

#14 A Bumblebee nem kéne?
https://wiki.ubuntu.com/Bumblebee#Setup_for_14.04_and_later

És még ezt az információt is fontosnak tartom - kipróbálásra - majd, ha nem működik ahogy kéne,

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash nogpumanager"

mármint csak ezt, mert a tanács többi része az AMD driverre vonakozik.
http://ubuntu.hu/node/40514#comment-501602

Értékelés: 

0
Még nincs értékelve
kimarite képe

RE: Hello

#15 balazs És amúgy a legújabb driver kéne a Xorg-Edgers-ből, mert ez a legújabb kártya.
http://nouveau.freedesktop.org/wiki/CodeNames/

Nem, ez a verzió jó a PPA-ról: 352.30,
http://www.nvidia.com/download/driverResults.aspx/87650/en-us
az nvidia honlapon csak elenőriztem, hogy mi kell.

MinterJoe Hát igen, a mesa-utils csomag pár dolgot eltávolít. Próbáld átgondolni az egészet, gondolom, a Bumblebee telepítve van már (a Prime-ból gondolom, a képen).

De a telepítés, eltávolítás itt nyomon követhető:

cat /var/log/apt/history.log

A Xorg-Edgers PPA-t vedd fel és telepítsd a drivert onnan a függőségeivel.
Most nem a megfelelő driver van telepítve, ezt mutatja a hibaüzenet:

    !!! Unknown header type 7f

Értékelés: 

0
Még nincs értékelve

RE:RE: Hello

#16 Ez a ppa felvétel így történik?

Update Manager-ben Edit menüpont, majd Software Sources, ezen belül PPAs, és itt az Add a new PPA.

Így kell?

Amúgy már van ilyen ppa, ezt le kellene cserélni?

http://i.imgur.com/L9EORpN.png

Holnap folytatom ..

Értékelés: 

0
Még nincs értékelve
kimarite képe

RE:RE:RE: Hello

#17 Igen, például. És az érvényesítéshez kell egy frissítés, mint a 'sudo apt-get update'. Ezután tudod használni a forrást, azaz telepíteni a csomagjaiból.

Értékelés: 

0
Még nincs értékelve

Srácok, az nem világos még

Srácok, az nem világos még mindig, hogy a ppa felvételre szükségem van-e, mivel ahogy már linkeltem, szerintem ez a ppa már fenn van, lásd:

http://i.imgur.com/L9EORpN.png

Egy dolog még eszembe jutott, hátha segíthet a megoldásban:

úgy rémlik, hogy kernel-frissítés után jelentkezett először a probléma. Van esetleg valami, amit szintén frissíteni kellene, mert a kernel-frissítés felülírhatta?

 

Értékelés: 

0
Még nincs értékelve

RE:Srácok, az nem világos még

#19 Szia !

Találtam egy oldalt, ahol a te kártyád is GeForce GTX 850M szerepel a támogatottak listáján.

http://www.noobslab.com/2014/12/use-nvidia-graphics-drivers-in.html

Javaslom !: önálóan ne kezdeményezz semmit !

Várd meg kimarite véleményét - javaslatát !

Értékelés: 

0
Még nincs értékelve
balazs képe

 askubuntu.com/questions

 askubuntu.com/questions/551054/nvidia-optimus-with-gtx-850m-not-working

 

Itt a 2 válaszoló jól leírja a válaszban hogy felveszi a ppa-t és telepíti a drivert, meg amit még kell azt külön felrakja. A legújabb kellhet, ami úgy látom a 355-ös driver lesz.

Értékelés: 

0
Még nincs értékelve
kimarite képe

RE:Srácok, az nem világos még (majd most)

#19 NVIDIA GM107M [GeForce GTX 850M]
352.30 driver a Xorg-Edgers PPA-ról
- azért a 352-es, mert itt is ezt írják a kártyához az Nvidia-ék:
                            http://www.nvidia.com/download/driverResults.aspx/87650/en-us
# Linux Mint 17, rendszer: 64bit

Ha a PPA-t már felvetted, akkor csak frissíteni kell a csomag információkat a megváltozott információkra.
Felvetted a PPA-t, még egyszer nem kell.
Ez az amúgy a PPA,  amiről beszélünk:
https://launchpad.net/~xorg-edgers/+archive/ubuntu/ppa/+index?batch=75

sudo apt-get update

Utána nem csinálsz semmi mást, csak ezt folyamatában,
[ szerintem menjünk az alábbi leírás, a már idézett link szerint: http://askubuntu.com/questions/551054/nvidia-optimus-with-gtx-850m-not-w... ]

sudo apt-get install --install-recommends linux-generic-lts-utopic xserver-xorg-lts-utopic libqt5gui5 libgles1-mesa-lts-utopic libgles2-mesa-lts-utopic libgl1-mesa-glx-lts-utopic libgl1-mesa-glx-lts-utopic:i386 libglapi-mesa-lts-utopic:i386 libegl1-mesa-drivers-lts-utopic

És akkor jönnek ezek

sudo apt-get install nvidia-352
sudo update-initramfs -uk all
sudo reboot

Megjegyzések

Azt mondjuk nem tudom, hogy a leírás

miért telepíttet alábbi két csomagból
- libgl1-mesa-glx-lts-utopic:i386
- libglapi-mesa-lts-utopic:i386
i386-os és nem amd64-es verziót. Talán a leírás elkészültekor még nem készült el a csomagból az amd64-es verzió. Vagy más oka van. Neked 64 bites a rendszered, valahol ezt megállapítottuk, tehát amd64 csomag kéne. Egyelőre feltételezzük, oka van, egyszerűbb így. Ha probléma lenne a telepítések és újraindítás után, akkor újratelepíted ezt a két csomagot így.

sudo apt-get install --reinstall libgl1-mesa-glx-lts-utopic libglapi-mesa-lts-utopic

De mivel, nem lesz neted (nem volt eddig sem), ezért most töltsd le a wget-tel ezeket (a saját könyvtárba)

wget -c http://security.ubuntu.com/ubuntu/pool/main/m/mesa-lts-utopic/libglapi-mesa-lts-utopic_10.3.2-0ubuntu1~trusty2_amd64.deb
wget -c http://security.ubuntu.com/ubuntu/pool/main/m/mesa-lts-utopic/libgl1-mesa-glx-lts-utopic_10.3.2-0ubuntu1~trusty2_amd64.deb

és majd "átmozgatod" őket a telepítési könyvtárba, ide,

/var/cache/apt/archives/

és így.

sudo cp libglapi-mesa-lts-utopic_10.3.2-0ubuntu1~trusty2_amd64.deb /var/cache/apt/archives/
sudo cp libgl1-mesa-glx-lts-utopic_10.3.2-0ubuntu1~trusty2_amd64.deb /var/cache/apt/archives/

[ sudo apt-get install --reinstall libgl1-mesa-glx-lts-utopic libglapi-mesa-lts-utopic
                                                                                      # ha nem sikerül valami ... ]

Értékelés: 

0
Még nincs értékelve

Köszi srácok a

Köszi srácok a hozzászólásokat, kimarite-nak az alapos útmutatást, áttanulmányozom, aztán hajrá.

Gyakorlatilag már biztos vagyok benne, hogy a kernel-frissítés gányolta el a dolgot.

A ppa-kat nem veszem fel, mivel szerintem már fenn vannak, ahogy linkeltem is korábban egy képen.

_________

Nos, egyelőre ott tartok, hogy hibaüzenetet adott ez:

sudo apt-get install --install-recommends linux-generic-lts-utopic xserver-xorg-lts-utopic libqt5gui5 libgles1-mesa-lts-utopic libgles2-mesa-lts-utopic libgl1-mesa-glx-lts-utopic libgl1-mesa-glx-lts-utopic:i386 libglapi-mesa-lts-utopic:i386 libegl1-mesa-drivers-lts-utopic

Itt a futtatás eredménye:

http://i.imgur.com/LHJY00g.png

Most újraindítom a gépet, hogy egyáltalán mi a helyzet, rendben betölt-e.

Update: a gép újraindult gond nélkül.

Van ötlet, hogy lehet ezt az errort orvosolni?

Értékelés: 

0
Még nincs értékelve
kimarite képe

RE:Köszi srácok a

#24 Ez a dolog igen egyszerűen orvosolható. Merthogy a függőség csomagok ott vannak,
http://packages.ubuntu.com/trusty-updates/libegl1-mesa-drivers-lts-utopic
lehetne telepíteni, de hiányzik egy tárolód, amiben találhatóak, ennek a neve: Ubuntu Updates

Mi a sources.list fájlod tartalma?

gedit /etc/apt/sources.list

Ez a tároló kell bele, de várj meg ezzel minket.

#------------------------------------------------------------------------------#
#                            OFFICIAL UBUNTU REPOS                             #
#------------------------------------------------------------------------------#

###### Ubuntu Main Repos
deb http://hu.archive.ubuntu.com/ubuntu/ trusty restricted universe multiverse
deb-src http://hu.archive.ubuntu.com/ubuntu/ trusty main restricted universe multiverse

###### Ubuntu Update Repos
deb http://hu.archive.ubuntu.com/ubuntu/ trusty-security restricted universe multiverse
deb-src http://hu.archive.ubuntu.com/ubuntu/ trusty-security main restricted universe multiverse
deb http://hu.archive.ubuntu.com/ubuntu/ trusty-updates restricted universe multiverse
deb-src http://hu.archive.ubuntu.com/ubuntu/ trusty-updates main restricted universe multiverse

Mármint, ami nincs neked meg ezekből, azt kéne pótolni. Elég a félkövérrel jelzett sorokat.

Szerkesztés (óvatosan)

gksu gedit /etc/apt/sources.list

Mented a fájlt, majd frissíted a csomaglistád

sudo apt-get update

és menni fog a csomik telepítése. Tároló sorokat ne törölj ...

[ http://repogen.simplylinux.ch/ ]

Értékelés: 

0
Még nincs értékelve

Mindössze ennyi a souces.list

Mindössze ennyi a souces.list tartalma:

#deb cdrom:[Linux Mint 17 _Qiana_ - Release amd64 20140624]/ trusty contrib main non-free

Tehát gyakorlatilag az egészet be kellene másolnom (Official Ubuntu Repos), nem csak a félkövérrel kiemeltet?

És még egy kérdés: látom, hogy a webcímekben szerepel a "hu". Én angolul használom a Mint-et, számít ez valamit ebből a szempontból?

Mivel elég ritkán jönnek a válaszok (ne értsd félre, nem kritika, csak tény), besűrítek ide még egy-két kérdést, mindegyikre jó lenne választ kapnom:

Az általad linkelt oldallal (http://repogen.simplylinux.ch/generate.php) generáltam egy elég hosszú listát.

Ha ezt a listát feltöltöm, mint sources.list, van egyéb teendőm, például a GPG Keys-el? Azt is el kell mentenem, mint etc/apt/gpg_keys.txt ? Jelenleg egyébként nincs gpg_keys.txt file-om az etc/apt-ban.

Továbbá nem értem ezt a sources.list dolgot.

Ha nálam eddig csak az az egysoros bejegyzés volt benne, akkor hogyan tudtam az Update Manager-rel frissíteni? Az valami más alapján kínálja a frissítéseket, nem a sources.list alapján?

Értékelés: 

0
Még nincs értékelve

RE:Mindössze ennyi a souces.list

#26 Mint-nél, a hivatalos forráslistát itt találod.:

/etc/apt/sources.list.d/official-package-repositories.list

Nálam, így néz ki.: http://i.imgur.com/zjleiVy.png

A web cím attól (is) függ, hogy milyen tükörkiszolgálót állítottal be a "Rendszerbeállítások"->
"Szoftverforrások"-nál.

( Egyelőre, nézd meg ezt a listát,...de várd meg kimarite instrukcióit ! )

Értékelés: 

0
Még nincs értékelve

Most már eléggé elegem van,

Most már eléggé elegem van, nem jutok semmire.

Frissítettem a sources.list filet. Eztán

sudo apt-get update

Ismét lefuttattam ezt:

sudo apt-get install --install-recommends linux-generic-lts-utopic xserver-xorg-lts-utopic libqt5gui5 libgles1-mesa-lts-utopic libgles2-mesa-lts-utopic libgl1-mesa-glx-lts-utopic libgl1-mesa-glx-lts-utopic:i386 libglapi-mesa-lts-utopic:i386 libegl1-mesa-drivers-lts-utopic

Ismét megkaptam a dependency errorokat. Ekkor elkezdtem egyesével hozzáadogatni ehhez a hosszú parancslistához a hiányzó dependency-ket. Erre még újabb dependency-k keletkeztek, egy-két conflicts-al megspékelve.

Végül a dependency errorok eltűntek, de maradt 3 conflict.

Ez a helyzet most: http://i.imgur.com/kFI5HID.png

Ehhh ..

Értékelés: 

0
Még nincs értékelve
kimarite képe

RE:Most már eléggé elegem van,

#28 ...

sudo apt-get autoremove
sudo apt-get update
sudo apt-get upgrade
sudo apt-get dist-upgrade

Értékelés: 

0
Még nincs értékelve

RE:RE:Most már eléggé elegem van,

#29 Lefuttattam őket, az eredmény az autoremove, upgrade és dist-upgrade-nél is ez volt:

0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Szóval úgy tűnik, semmi sem változott.
 

Értékelés: 

0
Még nincs értékelve
kimarite képe

RE:RE:RE:Most már eléggé elegem van,

#30 Most nem leszek egy ideig, majd később visszatérak. De ami feltűnt, hogy valami nem stimmel. Ütközik az első parancs, annak az általad említet ismételt futtatása ... a képen látható paranccsal.
http://linuxmint.hu/comment/2200#comment-2200
Ráadásul az én beírt parancsomban kettő i386-os csomag van, nálad már három ... . 

Értékelés: 

0
Még nincs értékelve

RE:RE:RE:RE:Most már eléggé elegem van,

#31 A harmadik i386-ost én copy-paste-ztam bele az egyik dependency okán.

Értékelés: 

0
Még nincs értékelve

Srácok, mostanra telt be a

Srácok, mostanra telt be a pohár nálam, a reinstall mellett döntöttem, bár erre vágytam legkevésbé.

Köszönök minden eddigi segítséget, sokat tanultam belőle.

Kérdésem még lesz egy csomó ...

Értékelés: 

0
Még nincs értékelve
kimarite képe

RE:Üdv mindenkinek az új

Üdv. Én azt mondom, felveszed az Ubuntu Updates tárolót/szoftverforrást (szerkeszted a sources.list fájl), majd

sudo apt-get update

és próbáld i386-ok nélkül az újabb kernelt és a MESA, stb. dolgokat a telepítési paranccsal,

sudo apt-get install --install-recommends linux-generic-lts-utopic xserver-xorg-lts-utopic libqt5gui5 libgles1-mesa-lts-utopic libgles2-mesa-lts-utopic libgl1-mesa-glx-lts-utopic libgl1-mesa-glx-lts-utopic libglapi-mesa-lts-utopic libegl1-mesa-drivers-lts-utopic

utána veszed fel a Xorg-Edgers PPA-t (akár szoftverkezelő vagy Synaptic),

sudo add-apt-repository ppa:xorg-edgers/ppa
sudo apt-get update

és telepíted a videó kártya drivert (és a PPA eltávolítóját).

sudo apt-get install nvidia-graphics-drivers-352 ppa-purge

Majd - és közben - ezeket a parancsokat is egészséggel használhatod.

sudo apt-get -f install
sudo apt-get --configure -a

Vagy a szimuláció (ne bízz benne feltétlen, mert a telepítendők a rendszeredhez képest nagyon új csomik),

sudo apt-get install --simulate csomag1 csomag2 csomagx..

Az egyes alkalmazásoknak 64 bites rendszer alatt esetleg hiányzó 32 bites library-kat később pótolod, egyes alkalmazások (Skype, steam, stb.), erre két módszer is van.

További megoldásként felveszed a Systemback alkalmazás PPA-ját és minden változtatás előtt készítesz egy visszaállítási pontot.

sudo add-apt-repository ppa:nemh/systemback
sudo apt-get update
sudo apt-get install systemback

... miután telepítetted, a parancssoros verziót és a honosítását is telepítsd; kukk a Synaptic-ba, vagy

apt-cache search systemback

Most mennem kell. Délután ..

Értékelés: 

0
Még nincs értékelve

A SystemBack-et

A SystemBack-et feltelepítettem, köszönöm. :)

A rendszert gyakorlatilag teljesen megcsináltam, már csak a VGA-s rész van vissza.

Biztos, hogy szükségem van erre a parancsözönre?

sudo apt-get install --install-recommends linux-generic-lts-utopic xserver-xorg-lts-utopic libqt5gui5 libgles1-mesa-lts-utopic libgles2-mesa-lts-utopic libgl1-mesa-glx-lts-utopic libgl1-mesa-glx-lts-utopic libglapi-mesa-lts-utopic libegl1-mesa-drivers-lts-utopic

 

Merthogy a kártyát látja a Linux rendesen (az előbbiekben ugye az volt a gond, hogy nem látta).

Ettől a parancsözöntől fázom, mert előzőleg adta a dependency errorokat rendesen. Meg egyáltalán, biztos, hogy kell?

Nem elég ez? >>

1./ Xorg-Edgers PPA felvétele

2./ 352-es Nvidia driver installja

3./ Bumblebee install

4./ Prime install

-

És még egy kérdés, mert őszintén szólva, ezt egyáltalán nem értem: a friss install ezt a Driver Managert adja:

http://i.imgur.com/JFoOUOG.png

Úgy tudom, kétféle driver van az NVidia kártyákhoz: a hivatalos NVidia és a nem-hivatalos alternatíva, a Nouveau.

Azt értem, hogy a Nouveau driver egy nem-NVidia driver az NVidia kártyákhoz. De mik ezek a többiek (pl. 346-os)?

Ezek az NVidia hivatalos/propietary driverei a kártyához? Ha igen, akkor mi szükség van a Xorg_Edgers repository-ra?

Ha például a 346-osra klikkelek, akkor azt honnan tölti be, az NVidiától, vagy máshonnan?

Netán a Xorg-Edgers-ről jön mind a Nouveau, mind a "számozott" driver?

Kicsit kaotikus ez nekem most még. Fel tudnátok világosítani?

Értékelés: 

0
Még nincs értékelve

RE:A SystemBack-et

#36 Tegnap adták ki a 352-es drájver újabb - javított verzióját. (úgy nézem, nem PPA felvételével telepíthető)

http://linux.softpedia.com/blog/nvidia-linux-driver-352-41-offers-better...

Mielőt bármit tennél...ugye tudod ?! kimarite

Ha eddig még nem tetted meg, most csinálj SB rendszervisszaállítási pontot !

Értékelés: 

0
Még nincs értékelve

RE:RE:A SystemBack-et

#37 lala köszi az infót!

Értékelés: 

0
Még nincs értékelve
kimarite képe

RE:A SystemBack-et

#36 Az nVidia kártyákhoz
- a nouveau a nyílt forráskódú driver (szabadon fejleszthető)
- az nvidia a zárt forráskódú driver (csak a gyártó fejlesztheti)

A rendszer első telepítésekor a nyílt forráskódú driver értelemszerűen feltelepül, hiszen enélkül csak feketeséget látnál.

-- A zárt forráskódú nvidia driver verziók legtöbbje a rendszered szoftverforrásaiban benne van. Ezek tehát külső tároló felvétele nélkül telepíthetőek ..., ha épp ezekre van szükséged. A szoftverforrásokból telepíthető driver ugyanúgy az nvidia cég terméke, mint a honlapjukról letölthető, csak be van csomagolva olyan csomagformátumba, amit könnyedén kezel a rendszered - az egyszerűség kedvéért ezt most ".deb" csomagnak nevezem. És ezek mind stabil, megbízhatóan telepíthető csomagok, nem kell ellenőrizned ezt. Van aproposed tároló, erről most nem beszélek.

-- A zárt forráskódú nvidia driver verziók letölthetőek az nvidia honlapról, de a telepítésük kissé bonyolultabb ... (lásd, amit az előbb írtam)

-- Az egészen új nvidia (most erről a gyártóról beszélünk, amúgy más videó kártya gyártókra is igaz a köv. állítás) kártyáknak egészen egyedi, pontosabban jóval újabb KERNEL-re, és X SERVER-re van szükségük, hogy működni tudjanak, azaz minden újítás amit beletett az nvidia, csak az újabb kernelen és X Server-en működik úgy, ahogy az nvidia eltervezte. Alapértelmezetten a rendszered ezeket nem tartalmazza. Tehát a kernel és függőségei tekintetében ezt a felfrissítési lehetőséget az Ubuntu Updates tároló biztosítja, az újabb videó kártya driverek (a legújabb nvidia kártyákra) átmenetileg - láthatóan - a Xorg-Edgers PPA-n vannak olyan ".deb" formátumban, ami neked kényelmes (lás, amit írtam az előbb). De ugyanúgy megvannak az nvidia honlapon is, de most máshogyan fogalmazok, mint korábban; az onnan letöltött csomagokat viszonylag kényelmetlen telepítened és sok esetben külön konfigurálnod is kell. Nyilvánvaló, hogy a stabilitás és a megbízhatóság teljes ellenőrzése után - egy kis idő eltelik, de addig is ugye sok türelmetlen nvidia-s döngeti a kapukat, hogy driver-t akarok, mert vettem egy ilyen kártyát ... - a disztribútor / ~ Linux Mint / tárolókba beszivárognak az átmenetileg Xorg-Edgers PPA-ban található ".deb" telepítők is, azaz idővel minden ott lesz.

# mindegyik driver "hivatalos", a nyílt forráskódú nouveau és a zárt forráskódú nviidia is. de például az Intel megnyitotta a forráskódját, tehát Intel kártyához (chip) nem nincs zárt driver

Értékelés: 

0
Még nincs értékelve

RE:RE:A SystemBack-et

#39 kimarite köszi az infókat, sokat világosodott a kép, de egy-két dolog még nem állt össze teljesen. Az egyik, hogy miért írja a Driver Manager, hogy nincs propietary driver használatban, miközben pl. a 346-os driver van betöltve?

A másik érdekesség, hogy amikor megpróbáltam a drivert telepíteni úgy, hogy az nvidia honlapról töltöttem le és futtattam a *.run telepítőfájlt, ezt a hibaüzenetet kaptam (mind a 346-os, mind a 352-es esetén is), amit ezen a honlapon fejtegetnek:

https://unix.stackexchange.com/questions/119333/nvidia-driver-upgrade-fa...

Ezt a hibaüzenetet adta: "The distribution-provided pre-install script failed!"

-

Más: közben újabb rettenetesen bosszantó apróságot észleltem: nem ad notification-t, amikor új email érkezik (Thunderbird). Találkoztatok már ilyennel, van megoldás?

-

Ja, és mégegy: néha a GRUB loop-ol (3-4x is betöltődik egymás után, míg végül bejön a login képernyő). Elég idegesítő. Ki lehet valahogy iktatni a GRUB-ot?

-

kimarite: az installos kérdésemre is kaphatnék választ (tudod, a "parancsözön")?

Értékelés: 

0
Még nincs értékelve
kimarite képe

RE:RE:RE:A SystemBack-et

#40 Választhatod a nyílt driver-t, mely ez: http://i.imgur.com/JFoOUOG.png
Vagy választhatod a kártyádnak megfelelő verziójú zárt drivert - és többször nem mondom el - teljesen mindegy, hogy ezt honnan, milyen forrásból telepíted, a tárolóból (PPA felvételével) vagy az nvidia honlapról  (a 352-est, ha minden igaz), a driver nem tud működni a FRISSEBB kernel és az X nélkül (parancs özön).
Hasonló teljesítményű a nyílt és a zárt driver, de ennek részleteit nem fejtem ki.
Ha nincs jól telepítve, vagy/és pontosabban nem a kártyának megfelelő driver van telepítve (de nincs telepítve, mert nem lehetséges a nem megfelelőt befejezetten telepíteni), akkor azt írja a rendszered, hogy nincs propiertary driver telepítve.
Ha kisérletezel, nagyon jó tanulásnak .. .
A többi kérdés lényegében a VGA driver problémájával összefügg, a maradék egy nem fontos.

Értékelés: 

0
Még nincs értékelve

sudo apt-get update ezt adja

sudo apt-get update ezt adja hibaként:

"W: Duplicate sources.list entry http://archive.canonical.com/ubuntu/ trusty/partner amd64 Packages (/var/lib/apt/lists/archive.canonical.com_ubuntu_dists_trusty_partner_binary-amd64_Packages)
W: Duplicate sources.list entry http://archive.canonical.com/ubuntu/ trusty/partner i386 Packages (/var/lib/apt/lists/archive.canonical.com_ubuntu_dists_trusty_partner_binary-i386_Packages)
"

Az Upate Manager/Software sources-ben nem találom az ismétlődést.

Hogyan lehet ezt javítani?

Értékelés: 

0
Még nincs értékelve

Hát úgy, kedves barátom, hogy

Hát úgy, kedves barátom, hogy különböző folderek különböző fájljai is rejthetik a duplikációt. ;)

Sikerült kigyomlálni.

Mindig van új kérdésem (sajnos), akinek van kedve, nyugodtan válaszolhat.

Hogy lehet az, hogy a vadonatúj 17.2-s telepítés után, amikor megpróbáltam kernelt frissíteni (3.19-est és a 4.0-st is), mindkét esetben hibaüzenetet (is) adott?

-

Más: van valaki, aki a Thunderbird-öt használja az LM 17.2 Rafaela alatt? Működik neked az új email érkezett értesítő?

A 17.1-esben hibátlan volt, de itt nagyon elgányolták. Nem működik sem a Thunderbird beépített értesítője, sem a Mailnag, sem a Firetray.

Értékelés: 

0
Még nincs értékelve
kimarite képe

RE:sudo apt-get update ezt adja

#42  Valahol biztosan van ismétlődés.

Példa:

## Egyik verzió
deb http://security.ubuntu.com/ubuntu trusty-security main restricted
deb http://security.ubuntu.com/ubuntu trusty-security universe
deb http://security.ubuntu.com/ubuntu trusty-security multiverse

## Másik verzió
deb http://security.ubuntu.com/ubuntu/ trusty-security universe restricted multiverse main

Láthatod, a félkövérrel kiemelt rész mindkét verzióban ugyanaz ..., de a többi szó is ugyanaz , csak a szöveg tördelése más. Ez így hasonló hibát hozna, mint nálad, ha ezt használnád egyben.

Kommentelve már jó lesz (nem igazán törlünk beállítófájlokat, főleg, ha nem emlékszel, mi volt a törlés előtt).

- az egyik megoldás (az egyik verzió sorait kommentelem)

## Egyik verzió
#deb http://security.ubuntu.com/ubuntu trusty-security main restricted
#deb http://security.ubuntu.com/ubuntu trusty-security universe
#deb http://security.ubuntu.com/ubuntu trusty-security multiverse

## Másik verzió
deb http://security.ubuntu.com/ubuntu/ trusty-security universe restricted multiverse main

- másik megoldás (a másik verzió sorait kommentelem)

## Egyik verzió
deb http://security.ubuntu.com/ubuntu trusty-security main restricted
deb http://security.ubuntu.com/ubuntu trusty-security universe
deb http://security.ubuntu.com/ubuntu trusty-security multiverse

## Másik verzió
#deb http://security.ubuntu.com/ubuntu/ trusty-security universe restricted multiverse main

A kommentelés azt jelenti, hogy a kommentelt sort nem beállításnak veszi a rendszer, hanem megjegyzésnek. A komment magyarul megjegyzést jelent (magyarázat, stb.), megjegyzés ez is; 'Egyik verzió', 'Másik verzió'. Csak hogy valahogy "kinézzen" azért érdemes kettő, netán három-négy # (komment) karaktert tenni a sor elé. Viszont egy is elég, hogy megjegyzésnek vegye a rendszer a sort, és ne konfigurációs sornak.

A komment így jelenik meg a Synaptic-ban vagy a Szoftverforrásokban; a pipa ki van véve az egyik azonos nevű sor elől (ez a kommentelt sor), mely most a Canonical Partners (legelső, legutolsó),

A pipával megjelölt, érvényesített sor .. érvényes, ezt veszi érvényesnek a rendszer a frissítéseknél, telepítéseknél, ezeket használja.

A rendszer tárolói - a frissítési szerverek listáit tartalmazó szövegfájlok - két helyen találhatóak meg:
- a sources.list szövegfájlban (az /etc/apt/sources.list elérési úton - könyvtárban) és
- a sources.list.d könyvtárban (/etc/apt/sources.list.d/ az elérési út - könyvtár) található több szövegfájlban. ezek jellemzően nem a rendszer alaptárolói, hanem a Third-Party alkalmazások tárolóinak listafájljai, melyek szintén szövegfájlok. és például ilyen Third-Party alkalmazás a Systemback, a Google-Chrome, valamint a Xorg-Edgers és egyéb PPA tárolók. Third-Party: harmadik fél, azaz külső, rendszerfüggetlen fejlesztők szoftverforrásai.

A tárolók/szoftverforrások ílyen felépítésben tárolódnak a szövegfájlokban:

<tipus>  <URL, webes hivatkozás>  <disztribúció név> <fő- és alkomponens> 
Például egy forrás címe

  deb http://archive.ubuntu.com/ubuntu precise main

Sorban: a tárolóban bináris/futtatható csomagok vannak (".deb" Debian-féle rendszereken), melyek innen hostolnak/települnek-frissülnek http://archive.ubuntu.com/ubuntu és ez a tároló az Ubuntu Precise (12.04) verziójának megfelelő tároló, valamint a main azt jelenti, hogy ez éppen az alapvető rendszercsomagok tárolója (ezeket a Canonical mindenképpen támogatja, nélkülük a rendszered nem működne, alap csomagok).

    -- Tipus: A tipus lehet 'deb' és 'deb-src'' is egyszerre. A 'deb' a bináris csomagok (telepítők), és ha a 'deb-src' is látszik (nincs kommentelve), akkor a forráscsomagokból is telepíthetsz (más módszerrel, mint általában), de utóbbiak nem zavarnak bele semmibe.

    -- URL: http://archive.ubuntu.com/ubuntu a tároló forrása, azaz webcíme

    -- Disztribúció neve: Ubuntu kiadás. Mégpedig Ubuntu 12.04, azaz Precise. Példának okáért a 11.10 az Oneiric nevet kapta
    Nézegesd az Ubuntu (de főleg a Linux Mint :)) Wikit, a kiadások, és az elnevezések iránt.

    -- Komponensek: A csomagok tipusuk és használatuk szerint csoportokba vannak rendezve, példának okáért: main, universe, multiverse and restricted. De ez az Ubuntu-ra jellemző, a Debian kicsit más felépítést, és neveket használ.

___

Hogy megtudjuk, nálad mi van meg kétszer, a következő parancsok kimenetei kellenének,

ls /etc/apt/sources.list.d/
cat /etc/apt/sources.list | tee sources.list20150831.txt | xdg-open sources.list20150831.txt

kiindulásnak. De a pastebin-re, mert ide hosszú lesz. És linkeld ide.

Értékelés: 

0
Még nincs értékelve
kimarite képe

RE:RE:sudo apt-get update ezt adja

#44 Egy tároló lista generáló webes oldal. De ez Ubuntu-ra van. Tehát egy nagyon fontos tényt!
A Linux Mint tárolókat nem adja meg neked ..., tehát ne törölgess semmilyen sort, forrást.
http://repogen.simplylinux.ch/

És, ha valaki LMDE-t használ, akkor neki - a Debian lista - de itt sincs benne a Linux Mint forrás sor!
http://debgen.simplylinux.ch/

[ Fontos! - a Debian nem keverhető az Ubuntu-val, Linux Mint-tel ]

Értékelés: 

0
Még nincs értékelve

Köszönöm a leírást.

Köszönöm a leírást.

A duplikációt már megoldottam, erre írtam, hogy kigyomláltam.

Itt voltak a bejegyzések:

file:///etc/apt/sources.list.d/official-package-repositories.list

file:///etc/apt/sources.list

Amúgy egy jó hosszú sources.list file-t generáltam ezzel ( http://repogen.simplylinux.ch/ ), de azt mondod, hogy ez Ubuntura van, nem LM-re.

Mit javasolsz, maradjon ahogy van, vagy lehet belőle gond?

-

Thunderbird-ös problémára van valakinek reflexiója?

Értékelés: 

0
Még nincs értékelve
kimarite képe

RE:Köszönöm a leírást.

#46 Nem úszod meg: a következő parancsok kimenetei kellenének,

ls /etc/apt/sources.list.d/
cat /etc/apt/sources.list | tee sources.list20150831.txt | xdg-open sources.list20150831.txt

kiindulásnak. De a pastebin-re, mert ide hosszú lesz. És linkeld ide.

"Mit javasolsz, maradjon ahogy van, vagy lehet belőle gond?"

Nem tudom. "Ahogy van"? Igen, persze, naná! Gond egy szál se ezzel. (...elhiszed?)

Szeretem a csokit - mondod te. De milyet, a kereket, a kocka formát, a kókuszos, a mogyorós csokit? - hát jó lenne tudni, ha már ily erősen a csokikról szerettél volna beszélni, gondoljuk mi. Éés azt mi is szeretjük, dumáljunk... .
Tehát van valami, amiről nekünk kizárólag sejtésünk van, de amúgy nekünk elég fárasztó a gondolataid kitalálni. Következésképpen minket a problémád most éppen nem érdekel, akkor ÉRDEKEL, ha elmondod pontosan mi a helyzet. Más dolgunk van: csokit eszünk, de nélküled. :)

Értékelés: 

0
Még nincs értékelve

RE:RE:Köszönöm a leírást.

#47 Ez a csokis dolog túl absztraktra sikerült, pedig nem olyan bonyolult az. ;)

 A generátor oldal opcióinak nagyrészét kipipáltam, az eredmény lett ugye a sources.list (GPG-s parancsokat lefuttattam).

A kérdés pusztán annyi volt, hogy (mivel kihangsúlyoztad, hogy különbség van az Ubuntus és a LM-es cuccok között), hogy a kapott sources-list tartalom okozhat-e gubancot (lévén Ubuntu-s).

ls /etc/apt/sources.list.d/ >> eredménye:

getdeb.list  nemh-systemback-trusty.list  official-package-repositories.list  pulb-mailnag-trusty.list

Itt a sources.list: http://pastebin.com/N5XwTzPh

Amivel nem vagyok tisztában az ez: az Update Manager ezekből a ppa-kból "táplálkozik", vagy máshonnan?

Ha felinstallálok egy programot a Software Manageren keresztül, akkor az adott program ppa-ja automatikusan bekerül a sources.list-be?

 

 

 

Értékelés: 

0
Még nincs értékelve

RE:RE:RE:Köszönöm a leírást.

#48 A PPA-kat általában kézzel kell felvenned.

Értékelés: 

0
Még nincs értékelve

RE:RE:RE:Köszönöm a leírást.

#48 Ha telepítesz egy rendszert, vele együtt megkapod a hozzá illő hivatalos csomagtárolók listáját.

Ezekben, a telepített rendszeredhez megfelelő ellenőrzött csomagok, alkalmazások vannak.

Innen telepíthetsz a rendszeredre további alkalmazásokat. (és biztos lehetsz benne, hogy ezek passzolnak a redsz.-hez)

A frissítéskezelő is ezeket a tárolókat nézi át, és ha talál újabb verziót (a már telepítettekhez) akkor felajánlja neked frissítésre.

Szóval.: úgy is használhatod, bővítheted a rendszert, akár évekig, hogy egyetlen-egy PPA-t (személyes csomagtárolót) nem veszel fel.

PPA-t csak abban az esetben veszünk fel, ha olyan alkalmazást akarunk telepíteni, mely nincs bennt  hivatalos (ellenőrzött )

tárolókban.

Ebben az esetben, először is körülnézünk a net-en, és ha találunk ehez az alkalmazáshoz .deb kiterjesztésű telepítőfájlt.

inkább azt töltjük le, és pl. a "Gdebi" csomagtelepítővel telepítjük. (azért is jó ez a megoldás, mert ha valami probléma van

ezzel a csomaggal, a gdebi jelzi, és nem engedi telepíteni.)

Konklúzió.: csínnyán kell bánni a PPA-k telepítésével !

Én határozottan nem alánlom neked. hogy ezt a sok + PPA-t felvedd !

 

(Ha nem teljesen korrekt amit írtam,...a többiek javítanak !)

Értékelés: 

0
Még nincs értékelve

Oldalak